<?php

namespace app\home\controller;

use think\Lang;
use think\Cache;
use think\Request;
use think\Controller;
use think\Validate;

/**
 * 主页管理类
 */
class ContactUs extends Controller
{


    /**
     * 构造函数
     *
     * @access public
     */
    public function __construct()
    {
        parent::__construct();

    }//end __construct()


    /**
     * 主页管理
     *
     * @access public
     * @return array JsonString
     */
    public function index()
    {
        // 获取导航.
        $navigationField = [
            'navigation_zhName',
            'navigation_enName',
            'navigation_id',
        ];
        $navigationWhere = ['navigation_type' => 1];
        $getNavigation = model('Navigation')->getSelect($navigationField, $navigationWhere);
        $this->assign('navigation', $getNavigation);

        return $this->fetch();

    }//end index()


}
